public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-forensics/afflib/
Date: Thu,  9 Mar 2023 05:58:44 +0000 (UTC)	[thread overview]
Message-ID: <1678341509.7becac16ac0f3ea841f36b2465dd8cb2c427a9d2.sam@gentoo> (raw)

commit:     7becac16ac0f3ea841f36b2465dd8cb2c427a9d2
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Thu Mar  9 05:55:46 2023 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Thu Mar  9 05:58:29 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7becac16

app-forensics/afflib: add 3.7.20

Closes: https://bugs.gentoo.org/896542
Closes: https://bugs.gentoo.org/893002
Signed-off-by: Sam James <sam <AT> gentoo.org>

 app-forensics/afflib/Manifest             |  1 +
 app-forensics/afflib/afflib-3.7.20.ebuild | 80 +++++++++++++++++++++++++++++++
 2 files changed, 81 insertions(+)

diff --git a/app-forensics/afflib/Manifest b/app-forensics/afflib/Manifest
index 76fd811dba8d..b00e6dbceb28 100644
--- a/app-forensics/afflib/Manifest
+++ b/app-forensics/afflib/Manifest
@@ -1 +1,2 @@
 DIST afflib-3.7.19.tar.gz 540165 BLAKE2B dea0998741121d2c1ae0e42ced9652ec46816282128469af75e0a32f9e4e2d09ac4afb4888ee7925366a03a867932f2446bfcd3800ab4dc021939ab6c38c797b SHA512 6e0df7477bf7dbd3814099d94e3fce122e0cf9b714a425521b7458f4eedc6e8b8e7283fd37926b7c992cdf21d3adec620df29a79a6a5311bf1d1b5d4930768bc
+DIST afflib-3.7.20.tar.gz 560441 BLAKE2B 6934efc30566b4b72e55e5727c46657362237872acae9d161f2625439d3d6e12da702b3ed82e3442b7015d8cb707097152cc73a6d0cc31d1ad61467f4022f7d4 SHA512 1ac623cb8462fc929a8ad1c014e92d319a3ebf5226ef07aa0777e4cbb77a9ee20adf570f39c960c9186ac2a477e861dfd5565d3364fdff22f9870f8c9ab30479

diff --git a/app-forensics/afflib/afflib-3.7.20.ebuild b/app-forensics/afflib/afflib-3.7.20.ebuild
new file mode 100644
index 000000000000..7a9a46d498cf
--- /dev/null
+++ b/app-forensics/afflib/afflib-3.7.20.ebuild
@@ -0,0 +1,80 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{9..11} )
+inherit autotools python-single-r1
+
+MY_PN=AFFLIBv3
+MY_P="${MY_PN}-${PV}"
+
+DESCRIPTION="Library that implements the AFF image standard"
+HOMEPAGE="https://github.com/sshock/AFFLIBv3/"
+SRC_URI="https://github.com/sshock/${MY_PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+S="${WORKDIR}/${MY_P}"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~hppa ~ppc ~x86 ~x64-macos"
+IUSE="fuse ncurses python qemu readline s3 static-libs threads"
+REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
+# Tests don't play well with sandbox
+RESTRICT="test"
+
+RDEPEND="
+	dev-libs/expat
+	sys-libs/zlib:=
+	fuse? ( sys-fs/fuse:0 )
+	dev-libs/openssl:=
+	ncurses? ( sys-libs/ncurses:= )
+	python? (
+		${PYTHON_DEPS}
+		$(python_gen_cond_dep 'dev-python/cython[${PYTHON_USEDEP}]')
+	)
+	readline? ( sys-libs/readline:= )
+	s3? ( net-misc/curl )
+"
+DEPEND="${RDEPEND}"
+
+PATCHES=(
+	"${FILESDIR}/${PN}-3.7.19-search-path.patch"
+)
+
+pkg_setup() {
+	use python && python-single-r1_pkg_setup
+}
+
+src_prepare() {
+	default
+
+	sed -i \
+		-e '/FLAGS/s: -g::' \
+		-e 's:-D_FORTIFY_SOURCE=2::' \
+		configure.ac || die
+
+	eautoreconf
+}
+
+src_configure() {
+	# Hacks for automagic dependencies
+	use ncurses || export ac_cv_lib_ncurses_initscr=no
+	use readline || export ac_cv_lib_readline_readline=no
+
+	local myeconfargs=(
+		$(use_enable fuse)
+		$(use_enable python)
+		$(use_enable qemu)
+		$(use_enable s3)
+		$(use_enable static-libs static)
+		$(use_enable threads threading)
+	)
+
+	econf "${myeconfargs[@]}"
+}
+
+src_install() {
+	default
+
+	find "${ED}" -name "*.la" -delete || die
+}


             reply	other threads:[~2023-03-09  5:58 UTC|newest]

Thread overview: 27+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2023-03-09  5:58 Sam James [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-06-02  3:19 [gentoo-commits] repo/gentoo:master commit in: app-forensics/afflib/ Sam James
2023-04-08 17:44 Arthur Zamarin
2023-04-08 17:37 Arthur Zamarin
2023-04-08 17:31 Arthur Zamarin
2023-03-09  5:58 Sam James
2022-05-16  3:03 Sam James
2021-05-02 12:42 Mikle Kolyada
2021-01-07 11:33 Sam James
2021-01-07 10:11 Sam James
2021-01-04  1:32 Sam James
2020-12-04  3:16 Rick Farina
2020-05-07 13:18 Michał Górny
2019-02-28 17:43 Mikle Kolyada
2019-02-24 19:01 Thomas Deutschmann
2019-02-23 20:14 Sergei Trofimovich
2019-02-23 11:58 Sergei Trofimovich
2019-02-18 21:23 Pacho Ramos
2019-02-18 21:23 Pacho Ramos
2018-11-13 10:49 Lars Wendler
2018-11-13 10:49 Lars Wendler
2017-12-10 14:16 David Seifert
2017-08-11 17:38 Michał Górny
2016-08-21  1:38 Tim Harder
2016-02-12 14:24 Patrick Lauer
2016-01-23 11:14 Fabian Groffen
2016-01-02 21:12 Manuel Rüger

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1678341509.7becac16ac0f3ea841f36b2465dd8cb2c427a9d2.sam@gentoo \
    --to=sam@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox